<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: FrameworkManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_framework_manager_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">FrameworkManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_framework_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef FRAMEWORKMANAGER_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define FRAMEWORKMANAGER_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_object_8h.html">Object.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>FrameworkManager_impl;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">class </span>SendData;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  }</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">class </span>IODevice;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_framework_manager.html">   45</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_framework_manager.html">FrameworkManager</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <a class="code" href="classflair_1_1core_1_1_framework_manager.html#ac4488013eb79fb1cd0c57fe4774120ae">FrameworkManager</a>(std::string name);</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <a class="code" href="classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4">~FrameworkManager</a>();</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a6f3fb7e3a6eb077f6330475791f3d00b">SetupConnection</a>(std::string address, uint16_t port,<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> watchdogTimeout=(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>)1500000000,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;                       <span class="keywordtype">size_t</span> rcv_buf_size = 10000);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85">SetupUserInterface</a>(std::string xml_file);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *<a class="code" href="classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b">GetTabWidget</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a87827cc05ace9d15c13be60d231d9ab3">SetupLogger</a>(std::string log_path,uint32_t stackSize=1024*32);</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  std::string <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673">GetLogPath</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6">AddDeviceToLog</a>(<a class="code" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device);</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        </div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7">IsDeviceLogged</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae">StartLog</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a">StopLog</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4">IsLogging</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c">UpdateSendData</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_send_data.html">gui::SendData</a> *obj);</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271">BlockCom</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1">UnBlockCom</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1">ConnectionLost</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd">DisableErrorsDisplay</a>(<span class="keywordtype">bool</span> value);</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42">IsDisplayingErrors</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;  <span class="keyword">class </span>FrameworkManager_impl *pimpl_;</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;};</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;<a class="code" href="classflair_1_1core_1_1_framework_manager.html">FrameworkManager</a> *<a class="code" href="namespaceflair_1_1core.html#ace74842bdd3bf9d982724d868872eec2">getFrameworkManager</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespaceflair_1_1core.html#a4783118d327bc3461f35818366dbd458">IsBigEndian</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;<span class="preprocessor">#endif // FRAMEWORKMANAGER_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a4e7363801f1df89e51fd9c173e196673"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673">flair::core::FrameworkManager::GetLogPath</a></div><div class="ttdeci">std::string GetLogPath(void) const </div><div class="ttdoc">Get log path. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_aa426692b6ffdcacc35c34f0db87d53b7"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7">flair::core::FrameworkManager::IsDeviceLogged</a></div><div class="ttdeci">bool IsDeviceLogged(const IODevice *device) const </div><div class="ttdoc">Is device logged. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a477b3cee8fa2c2338896006faaeefe42"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42">flair::core::FrameworkManager::IsDisplayingErrors</a></div><div class="ttdeci">bool IsDisplayingErrors(void) const </div><div class="ttdoc">Is displaying errors? </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:45</div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a845ac3ad0cbc95d71e50277d9e8093a1"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1">flair::core::FrameworkManager::ConnectionLost</a></div><div class="ttdeci">bool ConnectionLost(void) const </div><div class="ttdoc">Is connection lost? </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_a4783118d327bc3461f35818366dbd458"><div class="ttname"><a href="namespaceflair_1_1core.html#a4783118d327bc3461f35818366dbd458">flair::core::IsBigEndian</a></div><div class="ttdeci">bool IsBigEndian(void)</div><div class="ttdoc">is big endian? </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a1cbc5e8296c0f36551210e13251516ae"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae">flair::core::FrameworkManager::StartLog</a></div><div class="ttdeci">void StartLog(void)</div><div class="ttdoc">Start logging. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_ac4488013eb79fb1cd0c57fe4774120ae"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#ac4488013eb79fb1cd0c57fe4774120ae">flair::core::FrameworkManager::FrameworkManager</a></div><div class="ttdeci">FrameworkManager(std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a978aae4beac0c20dbbff73369ab6e31a"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a">flair::core::FrameworkManager::StopLog</a></div><div class="ttdeci">void StopLog(void)</div><div class="ttdoc">Stop logging. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a6f3fb7e3a6eb077f6330475791f3d00b"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a6f3fb7e3a6eb077f6330475791f3d00b">flair::core::FrameworkManager::SetupConnection</a></div><div class="ttdeci">void SetupConnection(std::string address, uint16_t port, Time watchdogTimeout=(Time) 1500000000, size_t rcv_buf_size=10000)</div><div class="ttdoc">Setup the connection with ground station. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a9f2750ce913b492206761340c666bbb6"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6">flair::core::FrameworkManager::AddDeviceToLog</a></div><div class="ttdeci">void AddDeviceToLog(IODevice *device)</div><div class="ttdoc">Add log element. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_ace74842bdd3bf9d982724d868872eec2"><div class="ttname"><a href="namespaceflair_1_1core.html#ace74842bdd3bf9d982724d868872eec2">flair::core::getFrameworkManager</a></div><div class="ttdeci">FrameworkManager * getFrameworkManager(void)</div><div class="ttdoc">get FrameworkManager </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a87827cc05ace9d15c13be60d231d9ab3"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a87827cc05ace9d15c13be60d231d9ab3">flair::core::FrameworkManager::SetupLogger</a></div><div class="ttdeci">void SetupLogger(std::string log_path, uint32_t stackSize=1024 *32)</div><div class="ttdoc">Logger setup. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a311fa9be9c08b037cae24061e85307d1"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1">flair::core::FrameworkManager::UnBlockCom</a></div><div class="ttdeci">void UnBlockCom(void)</div><div class="ttdoc">Unblock communication. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_aa97c7fbaba572aa856d23c416f3b74e4"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4">flair::core::FrameworkManager::~FrameworkManager</a></div><div class="ttdeci">~FrameworkManager()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a8f3989b0199826a913f352cc1e26f86b"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b">flair::core::FrameworkManager::GetTabWidget</a></div><div class="ttdeci">gui::TabWidget * GetTabWidget(void) const </div><div class="ttdoc">Get TabWidget. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a69e12f51081a3d58876553d9858ea1bd"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd">flair::core::FrameworkManager::DisableErrorsDisplay</a></div><div class="ttdeci">void DisableErrorsDisplay(bool value)</div><div class="ttdoc">Disable errors display. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a528ab69c3a850237007a074732d9fa85"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85">flair::core::FrameworkManager::SetupUserInterface</a></div><div class="ttdeci">void SetupUserInterface(std::string xml_file)</div><div class="ttdoc">Setup the user interface. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_send_data_html"><div class="ttname"><a href="classflair_1_1gui_1_1_send_data.html">flair::gui::SendData</a></div><div class="ttdoc">Abstract class for sending datas to ground station. </div><div class="ttdef"><b>Definition:</b> SendData.h:29</div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a6ed9bdb73288176aa58269f8a520d58c"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c">flair::core::FrameworkManager::UpdateSendData</a></div><div class="ttdeci">void UpdateSendData(const gui::SendData *obj)</div><div class="ttdoc">Notify that SendData&#39;s period has changed. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_aa1b6474b3972665d20c706ff89965271"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271">flair::core::FrameworkManager::BlockCom</a></div><div class="ttdeci">void BlockCom(void)</div><div class="ttdoc">Block communication. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a65eff6c3651dafddc2dd55c3cab281b4"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4">flair::core::FrameworkManager::IsLogging</a></div><div class="ttdeci">bool IsLogging(void) const </div><div class="ttdoc">Is logging? </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_framework_manager_8h.html">FrameworkManager.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
